function mission:preIntro()

-- force show the reward UI
	local liveEventManager = demandManager("LiveEventManager")
	if liveEventManager:getView() ~= nil then
		liveEventManager:showRewardUI(5)

-- wait for UI to finish showing
	    waitFor(function()
	    	return liveEventManager:isShowingRewardUI()
		end)
	end
end

function mission:intro()

-- show alert arrow on max overdrive UI icon
	showArrowOnLocatorSequence("tradefest_tier_overdrive_icon")

-- dialog horatio
	showDialogueLeft({ characterKey = "you", textKey = "mission_angelfish_max_overdrive_introduction_100", tone = "happy" })
	showDialogueLeft({ characterKey = "you", textKey = "mission_angelfish_max_overdrive_introduction_200" })
	showDialogueLeft({ characterKey = "you", textKey = "mission_angelfish_max_overdrive_introduction_300" })
	showDialogueLeft({ characterKey = "you", textKey = "mission_angelfish_max_overdrive_introduction_400" })
	hideDialogue()

end

function mission:outro()

-- hide alert arrow on max overdrive UI icon
	hideArrowOnLocatorSequence("tradefest_tier_overdrive_icon")
end 