function hasBuildingWithTag(tag)
	 local playerFacade = demandManager("VillageManager"):getViewingPlayerFacade()
	 return playerFacade:getVillageFacade():getCountOfEntitiesWithTag(tag) > 0
end

local buildMenuArrows = false

function mission:intro()

        showDialogueRight({ characterKey = "keani", textKey = "mission_blueprintEvent_01_120" })
        hideDialogue()

  -- THIS TAG SHOULD MATCH THE TAG IN THE OBJECTIVE
	  if not hasBuildingWithTag("tag_deco_blueprint_table_pet") then
  
	  -- Show UI arrows on build menu elements
        showArrowOnLocatorSequence("locatorId_hud_buildButton", "category_locator_decorations", "build_menu_item_locator_building_deco_blueprint_table_pet")

    -- Build menu arrows are now shown so flag local variable to true
        buildMenuArrows = true

    end

end

function mission:outro()

  -- If build menu arrows are shown they need to be hidden    
    if buildMenuArrows then
      buildMenuArrows = false

	-- UNHide UI arrows on build menu elements
   		hideArrowOnLocatorSequence("locatorId_hud_buildButton", "category_locator_decorations", "build_menu_item_locator_building_deco_blueprint_table_pet")

    -- Dialog keani
        showDialogueRight({ characterKey = "keani", textKey = "mission_blueprintEvent_02_100", tone = "fact" })
        
        showDialogueLeft({ characterKey = "moppet", textKey = "mission_blueprintEvent_02_110" })
        showDialogueRight({ characterKey = "keani", textKey = "mission_blueprintEvent_02_120" })
        showDialogueLeft({ characterKey = "moppet", textKey = "mission_blueprintEvent_02_130" })
        showDialogueRight({ characterKey = "keani", textKey = "mission_blueprintEvent_02_140" })
        showDialogueLeft({ characterKey = "moppet", textKey = "mission_blueprintEvent_02_150" })
        showDialogueRight({ characterKey = "keani", textKey = "mission_blueprintEvent_02_160" })
        showDialogueLeft({ characterKey = "moppet", textKey = "mission_blueprintEvent_02_170" })

        hideDialogue()

    end

end
