function hasBuildingWithTag(tag)
	 local playerFacade = demandManager("VillageManager"):getViewingPlayerFacade()
	 return playerFacade:getVillageFacade():getCountOfEntitiesWithTag(tag) > 0
end

function mission:intro()

  -- If you have region (20)
	if hasBuildingWithTag("tag_land_expand_jungle_r40") then

	-- Show alert arrow on region (20)
		showAlertOnBuildingWithTag("arrow", "tag_land_expand_jungle_r40")

	-- Pan camera to region (20)
		panCameraToBuildingWithTag("tag_land_expand_jungle_r40")
	   
	-- keani dialog
		showDialogueLeft({ characterKey = "keani", textKey = "mission_dive_update_clear_region_2_100", tone = "action" })
		hideDialogue()

	end

end

function mission:outro()

-- Hide alert arrow on region (20)
	hideAlertOnBuildingWithTag("arrow", "tag_land_expand_jungle_r40")

-- keani dialog
	showDialogueLeft({ characterKey = "keani", textKey = "mission_dive_update_clear_region_2_200", tone = "fact" })
	hideDialogue()

end