function hasBuildingWithTag(tag)
     local playerFacade = demandManager("VillageManager"):getViewingPlayerFacade()
     return playerFacade:getVillageFacade():getCountOfEntitiesWithTag(tag) > 0
end

local buildMenuArrows = false

function mission:intro()

        showDialogueLeft({ characterKey = "edwyn", textKey = "mission_grandSandcastle_08_160" })
        showDialogueRight({ characterKey = "henry", textKey = "mission_grandSandcastle_08_170" })
        hideDialogue()

  -- THIS TAG SHOULD MATCH THE TAG IN THE OBJECTIVE
      if not hasBuildingWithTag("tag_deco_sandcastle_x_pet") then
  
      -- Show UI arrows on build menu elements
        showArrowOnLocatorSequence("locatorId_hud_buildButton", "category_locator_decorations", "build_menu_item_locator_building_deco_sandcastle_x_pet")

    -- Build menu arrows are now shown so flag local variable to true
        buildMenuArrows = true

    end

end

function mission:outro()

  -- If build menu arrows are shown they need to be hidden    
    if buildMenuArrows then
      buildMenuArrows = false

    -- Hide UI arrows on build menu elements
        hideArrowOnLocatorSequence("locatorId_hud_buildButton", "category_locator_decorations", "build_menu_item_locator_building_deco_sandcastle_x_pet")

    -- Dialog keani
        showDialogueRight({ characterKey = "jasmine", textKey = "mission_grandSandcastle_09_100", tone = "fact" })
        
        showDialogueLeft({ characterKey = "edwyn", textKey = "mission_grandSandcastle_09_110" })
        showDialogueRight({ characterKey = "henry", textKey = "mission_grandSandcastle_09_120" })
        showDialogueLeft({ characterKey = "moppet", textKey = "mission_grandSandcastle_09_130" })
        showDialogueRight({ characterKey = "henry", textKey = "mission_grandSandcastle_09_140" })
        hideDialogue()

    end

end
